package com.censoft.censoftrongtong.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntityClean;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 评估模型信息对象 evaluation_model_info
 * 
 * @author xjchen
 * @date 2023-08-08
 */
public class EvaluationModelInfo extends BaseEntityClean
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 影响因素 */
    @Excel(name = "影响因素")
    private String influenceFactor;

    /** 影响因子 */
    @Excel(name = "影响因子")
    private String influenceSubFactor;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortNum;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInfluenceFactor(String influenceFactor) 
    {
        this.influenceFactor = influenceFactor;
    }

    public String getInfluenceFactor() 
    {
        return influenceFactor;
    }
    public void setInfluenceSubFactor(String influenceSubFactor) 
    {
        this.influenceSubFactor = influenceSubFactor;
    }

    public String getInfluenceSubFactor() 
    {
        return influenceSubFactor;
    }
    public void setSortNum(Long sortNum) 
    {
        this.sortNum = sortNum;
    }

    public Long getSortNum() 
    {
        return sortNum;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("influenceFactor", getInfluenceFactor())
            .append("influenceSubFactor", getInfluenceSubFactor())
            .append("sortNum", getSortNum())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
